Bug 63821 - RFE: Improve error handling when a fstype is specified for RAID partition
Summary: RFE: Improve error handling when a fstype is specified for RAID partition
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-19 03:51 UTC by tanner
Modified: 2007-04-18 16:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 18:23:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The anacdump.txt dump file (41.29 KB, text/plain)
2002-04-19 03:52 UTC, tanner
no flags Details
The kickstart configuration file (ks.cfg) (1.55 KB, text/plain)
2002-04-19 03:55 UTC, tanner
no flags Details

Description tanner 2002-04-19 03:51:42 UTC
Description of Problem: 
Anaconda crashes on a kickstat

Version-Release number of selected component (if applicable):
bootnet.img from redhat-7.2

How Reproducible:
ks.cfg attached

Steps to Reproduce:
anacdump.txt attached

Actual Results:
Anaconda crashes and asks you to save anacdump.txt to floppy.

Expected Results:
Should just work.

Additional Information:
ks.cfg and anacdump attached.

Comment 1 tanner 2002-04-19 03:52:29 UTC
Created attachment 54525 [details]
The anacdump.txt dump file

Comment 2 tanner 2002-04-19 03:55:03 UTC
Created attachment 54526 [details]
The kickstart configuration file (ks.cfg)

Comment 3 Michael Fulbright 2002-04-24 16:42:47 UTC
Have you tried this update?

http://www.redhat.com/support/errata/RHBA-2002-016.html

Comment 4 tanner 2002-04-24 20:04:26 UTC
I found this change to my ks.cfg fix the problem.

part raid.1 --size 1 --grow --ondisk hda
part raid.2 --size 1 --grow --ondisk hdb
part swap --size 512 --ondisk hda
part swap --size 512 --ondisk hdb
raid / --fstype ext3 --level 1 --device md0 raid.1 raid.2

I moved the --fstype ext3 to the raid entry.

Comment 5 Michael Fulbright 2002-04-25 21:52:22 UTC
Jeremy do you have an idea what is going on here?

Comment 6 Jeremy Katz 2002-04-26 21:07:15 UTC
The partitions making up the software RAID can't be ext3, they have to be of
type software RAID, thus specifying that they should be ext3 is fouling
something up.  Should probably be error checked better, but the modifications
you made actually fix the invalid kickstart config which you previously had.

Comment 7 Jeremy Katz 2002-05-06 16:43:56 UTC
Made changes so that anaconda won't let you do this in the future in CVS

Comment 8 Michael Fulbright 2002-12-20 17:38:25 UTC
Time tracking values updated

Comment 9 Jeremy Katz 2006-04-24 18:23:17 UTC
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.


Note You need to log in before you can comment on or make changes to this bug.